<?php
session_start();

// Panggil koneksi database.php untuk koneksi database
require_once "../../config/database.php";

// fungsi untuk pengecekan status login user 
// jika user belum login, alihkan ke halaman login dan tampilkan pesan = 1
if (empty($_SESSION['username']) && empty($_SESSION['password'])){
    echo "<meta http-equiv='refresh' content='0; url=index.php?alert=1'>";
}
// jika user sudah login, maka jalankan perintah untuk insert, update, dan delete
else {
    if ($_GET['act']=='insert') {
        if (isset($_POST['simpan'])) {
            // ambil data hasil submit dari form
            $ket  		= mysqli_real_escape_string($mysqli, trim($_POST['ket']));
            $kode		= mysqli_real_escape_string($mysqli, trim($_POST['kode']));
			$supplier	= mysqli_real_escape_string($mysqli, trim($_POST['supplier']));
            $tanggal         = mysqli_real_escape_string($mysqli, trim($_POST['tanggal_masuk']));
            $exp             = explode('-',$tanggal);
            $tanggal_masuk   = $exp[2]."-".$exp[1]."-".$exp[0];

            $created_user 	= $_SESSION['id_user'];
			$user 			= $_SESSION['username'];

            // perintah query untuk menyimpan data ke tabel obat
            $query = mysqli_query($mysqli, "INSERT INTO jual(billdate,supplier,kodepo,keterangan,kasir,created_user,updated_user) 
                                            VALUES('$tanggal_masuk','$supplier','$kode','$ket','$user','$created_user','$created_user')")
                                            or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));    
			$id_orders = mysqli_insert_id($mysqli);
			
			
            // cek query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil simpan data
				$isikeranjang = array();
				
				$query2 = mysqli_query($mysqli, "SELECT * FROM tmpjual where kasir = '$user'")
                                            or die('Ada kesalahan pada query tampil : '.mysqli_error($mysqli));

				while ($data2 = mysqli_fetch_assoc($query2)) { 
					$isikeranjang[] = $data2;
				}
				
				
					date_default_timezone_set("Asia/Jakarta");
					$tgl_skrg = date("Y-m-d");
					$jam_skrg = date("H:i:s");
					
					$tgl_sekarang = date("Y-m-d", strtotime(' +0 hours'));
					$jam_sekarang = date("H:i:s", strtotime(' +0 hours'));
					
					
					$jml = count($isikeranjang);	
					for ($i = 0; $i < $jml; $i++) {

									   
						$query5 = mysqli_query($mysqli, "INSERT INTO jualdetail(billno, code, qty, harga,kasir) 
									   VALUES('$id_orders',{$isikeranjang[$i]['produk']}, {$isikeranjang[$i]['qty']},{$isikeranjang[$i]['harga']}, '$user')")
                                            or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));  
											
					}
					
					for ($i = 0; $i < $jml; $i++) {

						$query6 = mysqli_query($mysqli, "DELETE FROM tmpjual WHERE id = {$isikeranjang[$i]['id']}")
                                            or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));  
						
					}
				
				
				
				
               header("location: ../../main.php?module=penjualan&alert=1");
            }   
        }   
    }
    
    elseif ($_GET['act']=='update') {
        if (isset($_POST['simpan'])) {
                // ambil data hasil submit dari form
				$id  		= mysqli_real_escape_string($mysqli, trim($_POST['id']));
                $nama  		= mysqli_real_escape_string($mysqli, trim($_POST['nama']));
				$hp			= mysqli_real_escape_string($mysqli, trim($_POST['hp']));
				$alamat		= mysqli_real_escape_string($mysqli, trim($_POST['alamat']));
				$npwp	    = mysqli_real_escape_string($mysqli, trim($_POST['npwp']));

                $updated_user = $_SESSION['id_user'];

                // perintah query untuk mengubah data pada tabel obat
                $query = mysqli_query($mysqli, "UPDATE customer SET  nama   = '$nama',
                                                                    telp   	= '$hp',
                                                                    alamat  = '$alamat',
																	npwp		= '$npwp'
                                                              WHERE id      = '$id'")
                                                or die('Ada kesalahan pada query update : '.mysqli_error($mysqli));

                // cek query
                if ($query) {
                    // jika berhasil tampilkan pesan berhasil update data
                    header("location: ../../main.php?module=customer&alert=2");
                }         
            
        }
    }
	elseif ($_GET['act']=='view') {
       
            $awal = $_POST['tgl_awal'];
			$akhir = $_POST['tgl_akhir'];
    
                // jika berhasil tampilkan pesan berhasil delete data
                header("location: ../../main.php?module=penjualan&awal=$awal&akhir=$akhir");
        
    }

    elseif ($_GET['act']=='delete') {
        if (isset($_GET['id'])) {
            $id = $_GET['id'];
    
            // perintah query untuk menghapus data pada tabel obat
            $query = mysqli_query($mysqli, "Update jual set status = 'N' WHERE billno='$id'")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            // cek hasil query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil delete data
                header("location: ../../main.php?module=penjualan&alert=3");
            }
        }
    }   
	elseif ($_GET['act']=='additem') {
			$user 		= $_SESSION['username'];
			$harga 		= str_replace('.', '', mysqli_real_escape_string($mysqli, trim($_POST['harga'])));
			$qty 		= str_replace('.', '', mysqli_real_escape_string($mysqli, trim($_POST['qty'])));
			$nama  		= mysqli_real_escape_string($mysqli, trim($_POST['produk']));
            $query = mysqli_query($mysqli, "INSERT into tmpjual(produk,qty,harga,kasir) values('$nama ','$qty','$harga','$user')")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            if ($query) {
                header("location: ../../main.php?module=form_penjualan&form=add");
            }
	}
	elseif ($_GET['act']=='deleteitem') {
        if (isset($_GET['id'])) {
            $id = $_GET['id'];
    
            // perintah query untuk menghapus data pada tabel obat
            $query = mysqli_query($mysqli, "Delete from tmpjual WHERE id='$id'")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            // cek hasil query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil delete data
                header("location: ../../main.php?module=form_penjualan&form=add");
            }
        }
    }
	elseif ($_GET['act']=='deltmp') {
			$id  		= mysqli_real_escape_string($mysqli, trim($_GET['id']));
            $query = mysqli_query($mysqli, "Delete from tmphutangdetail where id = $id")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            if ($query) {
                header("location: ../../main.php?module=form_bayar&form_bayar&form=add3");
            }
	}
	elseif ($_GET['act']=='edittmp') {
			$id  		= mysqli_real_escape_string($mysqli, trim($_GET['id']));
			$bayar 		= str_replace('.', '', mysqli_real_escape_string($mysqli, trim($_POST['bayar'])));
            $query = mysqli_query($mysqli, "update tmphutangdetail set bayar = '$bayar' where id = $id")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            if ($query) {
                header("location: ../../main.php?module=form_bayar&form_bayar&form=add3");
            }
	}
		
}       
?>